Context menu can appear offscreen if the selected item starts offscreen (e.g. a long transclusion)
Closed, ResolvedPublic1 Story Points

Description

  1. Go to [[World War II]] and edit in VE
  2. Scroll down to the Background section, and click on the infobox in order to select it

No puzzle-piece floating icon can be seen; you have to scroll up to the top of the template to see it.

This floating icon should always be visible on-screen.

(By the way, VE takes up to 4 seconds to "highlight" the infobox in response to the click; separate bug?)


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51933

Details

Blocks
T84936: Release VisualEditor-MediaWiki as "1.0"
Security
None
Reference
bz49922
bzimport set Reference to bz49922.
TTO created this task.Jun 21 2013, 1:29 AM

(In reply to comment #0)

(By the way, VE takes up to 4 seconds to "highlight" the infobox in response
to the click; separate bug?)

I saw the slowness too; distinct bug would be good, yes. Do you have any particular examples?

TTO added a comment.Jun 24 2013, 4:32 AM

(In reply to comment #1)

I saw the slowness too; distinct bug would be good, yes.

See bug 50084.

  • Bug 51144 has been marked as a duplicate of this bug. ***
TheDJ added a comment.Aug 5 2013, 3:40 PM
  • Bug 50907 has been marked as a duplicate of this bug. ***
TheDJ added a comment.Aug 5 2013, 3:59 PM

Note though that the problem can occur both horizontal as well as vertical.

Take for instance any template that produces a div, but of which the contents are not 100% wide. Examples of this are any div that is not cleared of a floating object.

The editor indicator is positioned all the way to the right of the div, which extends on top of the floating object. However the contents of the div are pushed aside by the floating object. You expect to find the template editor indicator at the right side of your contents, but you will find it superimposed on top of the infobox.

Similar for FA icons which are 10px wide in a div (and mispositioned due to their relative positioning which is currently not compatible with the editor). The Editor will be all the way to the right (think 27" display) whereas the actual visual content that you want to edit is all the way to the left in your screen.

(This is aggravated by the fact that VE duplicates the DOM, and thus causes duplicate id's, which are ignored by the style selectors in WebKit). This has some interesting consequences for all JS code btw. Even with hooks most of the scripts will break on this I presume.

Change 74566 had a related patch set uploaded by Jforrester:
Scroll into view support

https://gerrit.wikimedia.org/r/74566

Above patch didn't impact this; un-marking as having a PATCH.

Jdforrester-WMF changed the title from "VisualEditor: Transclusion editor "icon" can appear offscreen if the selected item starts offscreen" to "Context menu can appear offscreen if the selected item starts offscreen (e.g. a long transclusion)".Feb 11 2015, 5:11 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF added subscribers: Juandev, dchan, Ryasmeen.

Change 267446 had a related patch set uploaded (by Esanders):
DesktopContext: Float the context when it goes beyond the viewport

https://gerrit.wikimedia.org/r/267446

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2016, 3:28 PM

Change 267446 merged by jenkins-bot:
DesktopContext: Float the context when it goes beyond the viewport

https://gerrit.wikimedia.org/r/267446

Jdforrester-WMF closed this task as "Resolved".Feb 1 2016, 6:32 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF edited a custom field.

Add Comment